"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ordering_project_deps_1 = require("../components/project_deps/ordering_project_deps");
const sync_with_linked_modules_1 = require("../components/project_deps/sync_with_linked_modules");
const watch_deps_1 = require("../components/watch_deps");
const prettier_1 = require("../config/prettier");
const tslint_1 = require("../config/tslint");
const typescript_1 = require("../config/typescript");
const dockerignore_1 = require("../meta/dockerignore");
const editorConfig_1 = require("../meta/editorConfig");
const gitignore_1 = require("../meta/gitignore");
const Npmrc_1 = require("../meta/Npmrc");
function watch_deps_for_node_dev() {
    return __awaiter(this, void 0, void 0, function* () {
        // Config file
        typescript_1.typescriptConfig.init(true);
        tslint_1.tsLintConfig.init(true);
        prettier_1.prettierConfig.init(true);
        // Meta files init
        dockerignore_1.dockerIgnore.init(true);
        gitignore_1.gitIgnore.init(true);
        editorConfig_1.editorConfig.init(true);
        Npmrc_1.npmrc.init(true);
        console.log("");
        yield ordering_project_deps_1.ordering_project_deps();
        yield sync_with_linked_modules_1.sync_with_linked_modules();
        watch_deps_1.watch_deps();
    });
}
watch_deps_for_node_dev();
