"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const webpack = require("webpack");
const WDS = require("webpack-dev-server");
const init_project_1 = require("../components/init_project");
const watch_deps_1 = require("../components/watch_deps");
const wds_1 = require("../config/wds");
const get_WDS_config_1 = require("../webpack/components/get_WDS_config");
const webpack_config_main_1 = require("../webpack/webpack.config.main");
function wds() {
    return __awaiter(this, void 0, void 0, function* () {
        yield init_project_1.initProject();
        watch_deps_1.watch_deps();
        const { host, port } = wds_1.wdsConfig;
        const server = new WDS(webpack(webpack_config_main_1.main_WS_config()), get_WDS_config_1.get_WDS_config());
        server.listen(port, host, () => {
            console.log(``);
            console.log(chalk_1.default.bold.cyanBright(`[ WDS ][ LAUNCHED ]`));
            console.log(chalk_1.default.cyan(`[ LAUNCHED: https://${host}:${port} ]`));
            watch_deps_1.watch_deps_event_emitter.on("SYNCED", () => {
                server.middleware.invalidate();
            });
        });
    });
}
wds();
