"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const fs = require("fs");
const path = require("path");
const env_1 = require("../../config/env");
class MonorepoGitIgnore {
    constructor() {
        // BINDS
        this.init = this.init.bind(this);
    }
    init(force = false) {
        const dest = path.resolve(process.cwd(), ".gitignore");
        const hasFile = fs.existsSync(dest);
        const gitignore = ["registry_credentials.json"];
        if (!hasFile || env_1.envConfig.force || force) {
            fs.writeFileSync(path.resolve(process.cwd(), ".gitignore"), gitignore.join("\r\n"));
            if (hasFile && (env_1.envConfig.force || force)) {
                console.log(chalk_1.default.yellow(`[ META_FILE ][ FORCE_INIT ][ ${dest} ]`));
            }
            if (!hasFile) {
                console.log(chalk_1.default.green(`[ META_FILE ][ CREATE ][ ${dest} ]`));
            }
        }
    }
}
exports.MonorepoGitIgnore = MonorepoGitIgnore;
