"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const watch_deps_1 = require("../../components/watch_deps");
const env_1 = require("../../config/env");
const wds_1 = require("../../config/wds");
const const_1 = require("../../const");
const helpers_1 = require("../../helpers");
const index_1 = require("./../../config/rearguard/index");
// tslint:disable:object-literal-sort-keys
function get_WDS_config() {
    const { proxy } = wds_1.wdsConfig;
    const { output } = index_1.rearguardConfig;
    const { isDebug } = env_1.envConfig;
    return {
        bonjour: true,
        compress: true,
        contentBase: [path.resolve(process.cwd(), const_1.DLL_BUNDLE_DIR_NAME), path.resolve(process.cwd(), const_1.LIB_BUNDLE_DIR_NAME)],
        watchContentBase: false,
        before(app, server) {
            watch_deps_1.watch_deps_event_emitter.on("SYNCED", () => {
                server.middleware.waitUntilValid(() => {
                    server.sockWrite(server.sockets, "content-changed");
                });
            });
        },
        historyApiFallback: true,
        hot: true,
        https: true,
        open: true,
        overlay: false,
        proxy,
        publicPath: output.publicPath,
        stats: isDebug
            ? "verbose"
            : {
                assets: true,
                colors: true,
                context: helpers_1.get_context(),
                hash: true,
                modules: false,
                performance: false,
                publicPath: true,
                timings: true,
                version: true,
            },
    };
}
exports.get_WDS_config = get_WDS_config;
// tslint:enable:object-literal-sort-keys
