"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const env_1 = require("../config/env");
const rearguard_1 = require("../config/rearguard");
const const_1 = require("../const");
const helpers_1 = require("../helpers");
const js_plugins_1 = require("./components/js.plugins");
const ts_loaders_1 = require("./components/ts.loaders");
const webpack_config_common_1 = require("./webpack.config.common");
// tslint:disable:object-literal-sort-keys
function dll_WP_config() {
    const { dll_entry, bundle_public_path } = rearguard_1.rearguardConfig;
    const { isDevelopment, isDebug } = env_1.envConfig;
    return webpack_config_common_1.general_WP_config({
        [helpers_1.dll_entry_name()]: [path.resolve(helpers_1.get_context(), dll_entry)],
    }, {
        // path - путь куда записываются файлы.
        path: helpers_1.dll_output_path(),
        // publicPath - путь до ресурса с файлами.
        publicPath: bundle_public_path,
        library: helpers_1.dll_entry_name(),
        libraryTarget: "var",
    }, ts_loaders_1.default(), [
        ...js_plugins_1.DllReferencePlugin(true),
        ...js_plugins_1.DllPlugin(),
        ...js_plugins_1.assetsPlugin(const_1.DLL_BUNDLE_DIR_NAME),
        ...js_plugins_1.analyze(),
        ...js_plugins_1.clean([helpers_1.dll_output_path()]),
    ], {});
}
exports.dll_WP_config = dll_WP_config;
// tslint:enable:object-literal-sort-keys
