"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rearguard_1 = require("../config/rearguard");
const const_1 = require("../const");
const entry_1 = require("./components/entry");
const js_plugins_1 = require("./components/js.plugins");
const ts_loaders_1 = require("./components/ts.loaders");
const webpack_config_common_1 = require("./webpack.config.common");
// tslint:disable:object-literal-sort-keys
function main_WS_config() {
    const { output } = rearguard_1.rearguardConfig;
    return webpack_config_common_1.general_WP_config(entry_1.default(), {
        // path - путь куда записываются файлы.
        path: output.path,
        // publicPath - путь до ресурса с файлами.
        publicPath: output.publicPath,
    }, ts_loaders_1.default(), [
        ...js_plugins_1.clean([const_1.DIST_DIR_NAME]),
        ...js_plugins_1.DllReferencePlugin(),
        ...js_plugins_1.HMR(),
        ...js_plugins_1.workboxPlugin(),
        ...js_plugins_1.htmlWebpackPlugin(),
        ...js_plugins_1.analyze(),
    ], {});
}
exports.main_WS_config = main_WS_config;
// tslint:enable:object-literal-sort-keys
